html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  vertical-align: baseline;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/*------------------VARIABLES--------------------*/
:root {
  --mq-size-xsm: 375px;
  --mq-size-sm: 576px;
  --mq-size-md: 768px;
  --mq-size-lg: 992px;
  --mq-size-xl: 1200px;
  --theme-main-text-color: #FFFFFF;
  --theme-main-link-color: #FFFFFF;
  --theme-main-background-color: #121212;
  --theme-main-icon-color: #121212;
  --theme-accent-text-color: #FEBA08;
  --theme-accent-color: #FEBA08;
  --theme-secondary-text-color: #121212;
  --theme-secondary-bacground-color: #FFFFFF;
  --theme-active-header: #121212;
  --theme-subbackground-dark: #121212;
  --theme-subbackground-light: rgba(255, 255, 255, 0.5);
  --theme-control-button: rgba(255, 255, 255, 0.05);
  --theme-background-slider: rgba(18, 18, 18, 0.8);
  --theme-background-slider-dots: rgba(255, 255, 255, 0.1);
}

/*------------------BASIC STYLE--------------------*/
html,
body {
  font-size: 18px;
  font-family: 'Poppins', sans-serif;
  font-weight: normal;
  font-style: normal;
  line-height: 1;
  background-color: var(--theme-main-background-color);
  color: var(--theme-main-text-color);
  scroll-behavior: smooth;
}

body.js-is-lock .main-header {
  background-color: var(--theme-main-background-color);
  opacity: 0.95;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body.js-is-lock {
  overflow: hidden;
}

button,
input {
  outline: none;
}

.wrapper {
  min-height: 100vh;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

.container {
  --container-width: 100%;
  width: var(--container-width);
  margin: 0 auto;
  padding: 0 15px;
}

.main-footer {
  margin-top: auto;
}

.content__title {
  padding-top: 65px;
}

.title {
  font-weight: bold;
  font-size: 24px;
  line-height: 133.69%;
  color: var(--theme-accent-text-color);
  text-align: center;
  text-transform: uppercase;
  padding-top: 40px;
}

.button {
  font-family: 'Roboto', sans-serif;
  font-size: 18px;
  line-height: 21px;
  color: var(--theme-secondary-text-color);
  background-color: var(--theme-accent-color);
  padding: 15px 25px;
  text-decoration: none;
  display: inlime-block;
}

@media (min-width: 768px) {
  .content__title {
    padding-top: 50px;
  }
}

@media (min-width: 1200px) {
  .button {
    transition: 0.7s;
  }
  .button:hover {
    background-color: var(--theme-secondary-bacground-color);
    border-radius: 8px;
    transition: 0.7s;
  }
  .title {
    padding-top: 120px;
    font-size: 36px;
    line-height: 133.69%;
  }
}

/*------------------Mein-HEADER--------------------*/
.main-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  z-index: 99;
  transition: 0.7s;
}

.main-header.js-sticky {
  background-color: var(--theme-main-icon-color);
  opacity: 0.9;
  transition: 0.7s;
}

.main-header.js-sticky .main-header__content {
  padding: 10px 0;
  transition: 0.7s;
}

.main-header__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 0;
  transition: 0.7s;
}

.logo {
  display: block;
  width: 110px;
  pointer-events: none;
}

.logo__img {
  fill: var(--theme-accent-color);
  display: block;
  width: 100%;
  height: auto;
}

.main-header__button {
  display: none;
}

@media (min-width: 375px) {
  .main-header__content {
    padding: 25px 10px;
  }
  .main-header.js-sticky .main-header__content {
    padding: 15px 10px;
  }
}

@media (min-width: 768px) {
  .main-header__control {
    display: flex;
    align-items: center;
  }
  .main-header__button {
    display: block;
    margin-right: 30px;
    text-transform: uppercase;
    text-decoration: none;
    color: var(--theme-main-link-color);
    font-size: 13px;
    border: 1px solid var(--theme-accent-color);
    padding: 5px 15px;
    background-color: transparent;
    transition: 0.7s;
  }
  .main-header__button:hover {
    background-color: var(--theme-accent-color);
    transition: 0.7s;
  }
}

@media (min-width: 1200px) {
  .container {
    --container-width: var(--mq-size-xl);
  }
  .main-header__content {
    align-items: center;
    padding: 15px 0;
  }
  .main-header.js-sticky .main-header__content {
    padding: 0px;
  }
  .logo {
    width: 145px;
  }
  .main-header__button {
    font-size: 18px;
    font-weight: 500;
    line-height: 27px;
    margin-right: 0;
  }
}

/*------------------------MAIN-HEADER-MENU---------------------------*/
.burger {
  display: block;
  position: relative;
  width: 25px;
  height: 18px;
  cursor: pointer;
}

.burger::before, .burger::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  right: 0;
  background-color: var(--theme-secondary-bacground-color);
  transition: 0.7s;
}

.burger::before {
  top: 0;
  box-shadow: 0 12px 0 0 var(--theme-secondary-bacground-color);
}

.burger::after {
  bottom: 57%;
  width: 18px;
  box-shadow: 0 12px 0 0 var(--theme-secondary-bacground-color);
}

.burger.is-active::after {
  transform: rotate(45deg);
  box-shadow: none;
  width: 100%;
  transition: 0.7s;
}

.burger.is-active::before {
  transform: rotate(-45deg) translate(-4px, 4px);
  box-shadow: none;
  transition: 0.7s;
}

.main-header__menu {
  position: fixed;
  bottom: -100%;
  left: 0;
  width: 100%;
  height: calc(100% - 59px);
  padding: 70px 30px 30px 30px;
  background: var(--theme-main-background-color);
  opacity: 0.95;
}

.main-header__menu.is-active {
  bottom: 0;
  transition: 0.7s;
}

.main-header.js-sticky .main-header__menu {
  height: calc(100% - 49px);
}

.menu__list {
  text-align: center;
}

.menu__item:not(:last-child) {
  margin-bottom: 35px;
}

.menu__link {
  text-transform: uppercase;
  text-decoration: none;
  line-height: 27px;
  color: var(--theme-main-link-color);
}

@media (min-width: 1200px) {
  .burger {
    display: none;
  }
  .main-header__button {
    display: block;
  }
  .main-header__menu {
    padding: 0;
    width: auto;
    position: relative;
    overflow: hidden;
    background: none;
    padding: 22px 0;
  }
  .menu__list {
    display: flex;
  }
  .menu__item {
    padding: 0;
  }
  .menu__item:not(:last-child) {
    margin: 0 40px 0 0;
  }
  .menu__link.is-active {
    cursor: default;
  }
  .menu__link {
    position: relative;
    text-decoration: none;
  }
  .menu__link::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px;
    background: var(--theme-accent-color);
    transform: translateY(15px);
    opacity: 0;
    transition: opacity 0.7s, transform 0.7s;
  }
  .menu__link:hover:not(.is-active)::after {
    opacity: 1;
    transform: translateY(5px);
    transition: opacity 0.7s, transform 0.7s;
  }
  .menu__link:hover:not(.is-active) {
    color: var(--theme-accent-color);
    transition: 0.7s;
  }
  .menu__link.is-active {
    color: var(--theme-accent-color);
  }
}

/*---------------MAIN SCREEN-------------------------*/
.content__body {
  width: 100%;
  height: 100vh;
}

.content__background {
  position: absolute;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  z-index: 4;
}

.content__background.is-active {
  transform: scale(0);
  transition: 0.7s;
}

.content__background-image {
  position: relative;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  object-fit: cover;
}

.container__inner {
  color: var(--theme-main-text-color);
  position: relative;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  z-index: 5;
}

.main-title {
  font-weight: bold;
  font-size: 36px;
  line-height: 133.69%;
  text-transform: uppercase;
  padding-bottom: 10px;
}

.content__subtitle {
  font-weight: 500;
  font-size: 14px;
  line-height: 133.69%;
}

.circle-button {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 74px;
  height: 74px;
  border-radius: 50%;
  outline: 6px solid var(--theme-subbackground-light);
  background: var(--theme-secondary-bacground-color);
}

.circle-button::after {
  content: '';
  position: absolute;
  border-top: 15px solid transparent;
  border-left: 23px solid var(--theme-accent-color);
  border-bottom: 15px solid transparent;
  margin-left: 7px;
}

.circle-button--play {
  margin-top: 50px;
}

.circle-button--play.is-active {
  visibility: hidden;
  pointer-events: none;
}

.video-background {
  position: absolute;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  z-index: 3;
}

.video-background__frame {
  position: relative;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.overlay {
  position: absolute;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  background-color: var(--theme-subbackground-dark);
  opacity: 0.3;
  z-index: 4;
}

@media (min-width: 1200px) {
  .circle-button {
    transition: 0.7s;
  }
  .circle-button:hover {
    outline-color: var(--theme-accent-color);
    transition: 0.7s;
  }
}

/*-----------------------------countdown------------------------------------*/
.countdown {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.countdown__body {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding-top: 40px;
  padding-bottom: 50px;
}

.countdown__block {
  display: flex;
}

.countdown__value {
  font-weight: bold;
  font-size: 72px;
  line-height: 133.69%;
  color: var(--theme-main-text-color);
}

.countdown__text {
  font-weight: 500;
  font-size: 18px;
  line-height: 21px;
  font-family: 'Roboto', sans-serif;
  text-transform: uppercase;
  padding-top: 10px;
}

.countdown__item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 95px;
}

.countdown__item:nth-child(odd) {
  margin-right: 85px;
}

@media (min-width: 768px) {
  .countdown__body {
    flex-direction: row;
    justify-content: center;
    gap: 115px;
  }
  .countdown__item:nth-child(odd) {
    margin-right: 115px;
  }
}

/* Slider */
.slick-slider {
  position: relative;
  display: block;
  box-sizing: border-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -ms-touch-action: pan-y;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}

.slick-list {
  position: relative;
  overflow: hidden;
  display: block;
  margin: 0;
  padding: 0;
}

.slick-list:focus {
  outline: none;
}

.slick-list.dragging {
  cursor: pointer;
  cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  -o-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.slick-track {
  position: relative;
  left: 0;
  top: 0;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.slick-track:before, .slick-track:after {
  content: "";
  display: table;
}

.slick-track:after {
  clear: both;
}

.slick-loading .slick-track {
  visibility: hidden;
}

.slick-slide {
  float: left;
  height: 100%;
  min-height: 1px;
  display: none;
}

[dir="rtl"] .slick-slide {
  float: right;
}

.slick-slide img {
  display: block;
}

.slick-slide.slick-loading img {
  display: none;
}

.slick-slide.dragging img {
  pointer-events: none;
}

.slick-initialized .slick-slide {
  display: block;
}

.slick-loading .slick-slide {
  visibility: hidden;
}

.slick-vertical .slick-slide {
  display: block;
  height: auto;
  border: 1px solid transparent;
}

.slick-arrow.slick-hidden {
  display: none;
}

/*-----------------------------slider---------------------------------/ */
.slider {
  margin-top: 30px;
}

.slick-active {
  text-align: center !important;
}

.slide__body {
  position: relative;
  margin: 0 auto;
}

.slide__hero-photo {
  width: auto !important;
  padding: 0 13px;
}

.slide__hero-image {
  display: block;
  object-fit: cover;
  width: 100%;
  height: 345px !important;
}

.slide__text {
  position: absolute;
  bottom: 0;
  padding: 15px 0;
  background-color: var(--theme-background-slider);
  width: 100%;
  text-align: center;
}

.slide__hero-name {
  font-weight: bold;
  font-size: 24px;
  line-height: 133.69%;
  text-transform: uppercase;
  text-decoration: none;
  color: var(--theme-accent-color);
}

.slide-block {
  position: relative;
  padding-bottom: 60px;
}

.slide-block__control {
  position: absolute;
  right: 10px;
  bottom: 0;
  z-index: 10;
  display: flex;
}

.control__button {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 25px;
  width: 25px;
  background-color: var(--theme-control-button);
  cursor: pointer;
}

.control__button__img {
  display: block;
}

.control__button--next {
  transform: rotate(180deg);
  margin-left: 10px;
}

.slide-sponsor {
  background-color: var(--theme-secondary-bacground-color);
  width: 165px !important;
  height: 75px;
  display: block;
  margin-top: 25px;
}

.slide-sponsor__img {
  display: block;
  width: 100%;
  height: auto;
  padding: 27px 25px;
}

.slick-dots {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.slick-dots button {
  font-size: 0;
  width: 11px;
  height: 11px;
  border-radius: 50%;
  background-color: var(--theme-background-slider-dots);
  outline: none;
  border: none;
  padding: 0;
  margin: 0 4px;
  cursor: pointer;
  vertical-align: middle;
}

.slick-dots li {
  margin: 0 5px;
  border-radius: 50%;
}

.slick-dots li.slick-active {
  width: 11px;
  height: 11px;
  background-color: var(--theme-accent-color);
}

@media (min-width: 1200px) {
  .slide-block__control {
    top: 130px;
  }
  .control__button {
    width: 35px;
    transition: 0.7s;
  }
  .control__button:hover {
    opacity: 0.75;
    transition: 0.7s;
  }
  .slide-sponsor {
    transition: 0.7s;
  }
  .slide-sponsor:hover {
    transform: scale(1.1);
    transition: 0.7s;
  }
  .slide__hero-name {
    transition: 0.7s;
  }
  .slide__hero-name:hover {
    transition: 0.7s;
    color: var(--theme-main-text-color);
  }
  .slide-sponsor {
    width: 175px !important;
    height: 80px;
  }
  .slide-block {
    padding-bottom: 0;
  }
}

/*-------------------------------form-section------------------------------------*/
.error {
  position: absolute;
  font-size: 15px;
  color: var(--theme-main-text-color);
  top: 0;
  right: 0;
  padding-top: 17px;
  padding-right: 5px;
}

.subtitle {
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  font-size: 13px;
  line-height: 15px;
  color: var(--theme-main-text-color);
}

.content__subtitle {
  padding: 10px 20px 15px;
  text-align: center;
}

.form-control {
  margin-bottom: 10px;
  position: relative;
}

.form-control__element {
  width: 100%;
  height: 50px;
  padding: 15px;
  font-size: 13px;
  line-height: 15px;
  font-family: 'Roboto', sans-serif;
  position: relative;
  border: none;
}

.form-control__element--area {
  height: 235px;
  outline: none;
}

.form-control__element.error {
  background-color: var(--theme-accent-color);
}

.submit__button {
  outline: none;
  border: none;
  position: absolute;
  bottom: 2px;
  right: 0;
  cursor: pointer;
}

@media (min-width: 375px) {
  .content__subtitle {
    padding: 10px 70px 20px;
  }
}

@media (min-width: 768px) {
  .subtitle {
    font-size: 24px;
    line-height: 34px;
  }
  .content__subtitle {
    padding: 40px 20px 60px;
  }
  .form-control {
    width: 90%;
    margin: 0 auto 20px;
  }
}

@media (min-width: 992px) {
  .form__body {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 80px;
  }
  .form__section {
    width: 50%;
  }
  .form-control {
    margin-bottom: 40px;
    width: 100%;
  }
  .form-control__element {
    font-size: 18px;
  }
}

@media (min-width: 1200px) {
  .content__subtitle {
    text-align-last: left;
    padding-left: 0yar;
  }
  .submit__button:hover {
    background-color: var(--theme-main-background-color);
    color: var(--theme-accent-color);
    border-radius: 0;
  }
}

/*---------------------------contacts-info-----------------------------------*/
.contacts-info__block {
  position: relative;
  margin-top: 30px;
}

.contacts-info {
  font-family: 'Roboto', sans-serif;
  font-size: 18px;
}

.contacts-info__body {
  padding-bottom: 15px;
}

.contacts-info__text {
  line-height: 21px;
  padding-bottom: 5px;
}

.contacts-info__value {
  color: var(--theme-accent-text-color);
  font-weight: 500;
  line-height: 21px;
  padding-bottom: 30px;
  text-decoration: none;
}

.form-control__label {
  font-weight: 500;
  font-size: 18px;
  line-height: 21px;
}

.form-control__element--subscribe {
  width: 100%;
  margin-top: 20px;
  padding: 15px 20px;
  font-size: 18px;
  border: none;
}

.submit__button--subcribe {
  height: 50px;
  top: 41px;
}

@media (min-width: 768px) {
  .contacts-info {
    display: flex;
    justify-content: space-between;
    padding: 0 5%;
  }
  .form-control--subscribe {
    margin-left: 0;
    margin-bottom: 0;
  }
  .submit__button--subcribe {
    top: 41px;
  }
}

@media (min-width: 992px) {
  .contacts-info {
    padding: 0;
  }
}

/*------------------------------sosial--------------------------------*/
.sosial {
  margin: 20px 0 40px;
}

.sosial__list {
  display: flex;
}

.sosial__link {
  background-color: var(--theme-accent-color);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 43px;
  height: 43px;
  transition: 0.7s;
}

.sosial__link:hover {
  transition: 0.7s;
  background-color: var(--theme-secondary-bacground-color);
  border-radius: 50%;
}

.sosial__item:not(:last-child) {
  margin-right: 15px;
}

.contacts-info__value--togo {
  transition: 0.7s;
}

.contacts-info__value--togo:hover {
  transition: 0.7s;
  color: var(--theme-main-link-color);
}

/*------------------------------main-footer---------------------------------*/
.main-footer {
  background-color: var(--theme-accent-color);
}

.main-footer__body {
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  line-height: 16px;
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  padding: 15px 0 20px;
}

.copy-info {
  padding-top: 15px;
}

.line-menu__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.line-menu__item {
  position: relative;
  padding-right: 15px;
}

.line-menu__item:last-child {
  padding: 0;
}

.line-menu__item:not(:last-child)::after {
  content: '';
  width: 4px;
  height: 4px;
  border-radius: 50%;
  background-color: var(--theme-main-background-color);
  position: absolute;
  right: -10px;
  bottom: 5px;
}

.line-menu__link {
  font-weight: 500;
  text-decoration: none;
  color: var(--theme-secondary-text-color);
}

@media (min-width: 1200px) {
  .main-footer__body {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  .copy-info {
    padding-top: 0;
  }
  .line-menu__item:not(:last-child)::after {
    right: 5px;
  }
  .line-menu__link {
    transition: 0.7s;
  }
  .line-menu__link:hover {
    color: var(--theme-main-link-color);
    transition: 0.7s;
  }
}

/*----------------------------goTop-------------------------------------*/
.circle-button--goTop {
  transform: rotate(-90deg) scale(0.5);
  position: fixed;
  bottom: 40px;
  right: 40px;
  z-index: 100;
  visibility: hidden;
  pointer-events: none;
  opacity: 0;
  transition: 0.7s;
}

.circle-button--goTop.is-active {
  visibility: visible;
  pointer-events: auto;
  opacity: 1;
  transition: 0.7s;
}
